Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/do_it_all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'do_it_all.sh')
-rw-r--r--do_it_all.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/do_it_all.sh b/do_it_all.sh
new file mode 100644
index 0000000..111049a
--- /dev/null
+++ b/do_it_all.sh
@@ -0,0 +1,23 @@
+set -e
+
+git_url="git://git.sugarlabs.org/read/mainline.git"
+
+
+# Remove the upstream cloned-directory, if any.
+if [ -d "activity" ]; then
+ sudo rm -r activity
+fi
+
+# Clone a fresh copy of the upstream.
+git clone "$git_url" activity
+
+# Build the activity (to generate "generated" files such as locale files).
+cd activity
+python setup.py build
+
+# Now, apply the AC patches.
+git am ../patches/*.patch
+
+# Finally, build the bundle (to be retrieved from "activity/dist").
+python setup.py dist_xo
+